#
# spec file for package python-pyelftools
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-pyelftools
Version:        0.23
Release:        2.5
License:        SUSE-Public-Domain
Summary:        Library for analyzing ELF files and DWARF debugging information
Url:            https://github.com/eliben/pyelftools
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pyelftools/pyelftools-%{version}.tar.gz
#BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
pyelftools is a pure-Python library for parsing and analyzing ELF files and DWARF debugging information.

%prep
%setup -q -n pyelftools-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/readelf.py %{buildroot}%{_bindir}/readelf-%{py3_ver}.py

# for some reason running tests in python3 fails with
# ERROR: Failure: ImportError (No module named 'utils')
# and utils.py is in tests directory
#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{_bindir}/readelf-%{py3_ver}.py
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Apr 30 2015 Adam Mizerski <adam@mizerski.pl>
- created package (version 0.32)
